Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.extender.internal.support
Class DefaultOsgiBundleApplicationContextListener

    java.lang.Object
      org.eclipse.gemini.blueprint.extender.internal.support.DefaultOsgiBundleApplicationContextListener

All Implemented Interfaces:
  EventListener, OsgiBundleApplicationContextListener<OsgiBundleApplicationContextEvent>

    public class DefaultOsgiBundleApplicationContextListener

extends Object
implements OsgiBundleApplicationContextListener<OsgiBundleApplicationContextEvent>

Default application context event logger. Logs (using the `ContextLoaderListener` logger, the events received.

Author:
  Costin Leau, Andy Piper

Constructor Summary
`DefaultOsgiBundleApplicationContextListener(org.apache.commons.logging.Log log)`

Method Summary
`void` | `onOsgiApplicationEvent(OsgiBundleApplicationContextEvent event)` Handles an OSGi application event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultOsgiBundleApplicationContextListener

    public DefaultOsgiBundleApplicationContextListener(org.apache.commons.logging.Log log)

Method Detail

### onOsgiApplicationEvent

    public void onOsgiApplicationEvent(OsgiBundleApplicationContextEvent event)

  Description copied from interface: `OsgiBundleApplicationContextListener`
  Handles an OSGi application event.

  Specified by:
    `onOsgiApplicationEvent` in interface `OsgiBundleApplicationContextListener<OsgiBundleApplicationContextEvent>`
  Parameters:
    `event` - OSGi application event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.